Package org.apache.sysds.hops.cost

# Class CostEstimatorStaticRuntime

java.lang.Object
org.apache.sysds.hops.cost.CostEstimator
org.apache.sysds.hops.cost.CostEstimatorStaticRuntime

public class CostEstimatorStaticRuntime extends CostEstimator

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`DEFAULT_MBS_HDFSREAD_BINARYBLOCK_SPARSE`

## Constructor Summary

Constructors
Constructor
Description
`CostEstimatorStaticRuntime()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`getFSReadTime(long dm, long dn, double ds)`
Returns the estimated read time from local FS.
`static double`
`getFSWriteTime(long dm, long dn, double ds)`

### Methods inherited from class org.apache.sysds.hops.cost.CostEstimator

`getTimeEstimate, getTimeEstimate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_MBS_HDFSREAD_BINARYBLOCK_SPARSE

public static final double DEFAULT_MBS_HDFSREAD_BINARYBLOCK_SPARSE

See Also:
  - Constant Field Values

## Constructor Details

### CostEstimatorStaticRuntime

public CostEstimatorStaticRuntime()

## Method Details

### getFSReadTime

public static double getFSReadTime(long dm, long dn, double ds)
Returns the estimated read time from local FS. NOTE: Does not handle unknowns.

Parameters:
  `dm` - rows?
  `dn` - columns?
  `ds` - sparsity factor?
Returns:
  estimated local file system read time

### getFSWriteTime

public static double getFSWriteTime(long dm, long dn, double ds)